@import url("https://fonts.googleapis.com/css?family=Oswald&display=swap");

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: Oswald, sans-serif;
    overflow: hidden;
}

.top-bar {
    padding-left: 15px;
    height: 80px;
    width: 100%;
    position: fixed;
    background-color: rgb(243, 245, 247);
    display: flex;
    justify-content: center;
    transition: all 1s ease-in-out;
}

/* Font Awesome Icons */
.fas,
.far {
    font-size: 25px;
    position: relative;
    top: 5px;
    border-radius: 50%;
    padding: 7px;
    width: 40px;
    text-align: center;
    cursor: pointer;
    box-shadow: 1px 1px 3px #b8b8b8;
    transition: all 0.3s ease-in-out;
    background-color: #fff;
    color: blueviolet;
}

.fas:hover,
.far:hover {
    filter: brightness(90%);
}

.fa-fill-drip {
    cursor: default;
}

.fa-undo-alt:hover,
.fa-trash-alt:hover {
    color: rgb(214, 72, 62);
}

/* Tools */
.active-tool {
    position: absolute;
    top: 5px;
    left: 5px;
}

.active-tool > span {
    background-color: blueviolet;
    border-radius: 5px;
    padding: 2.5px 16px;
    color: aliceblue;
    font-size: 20px;
    user-select: none;
    margin-top: 15px;
    display: inline-block;
}

.tool {
    position: relative;
    top: 15px;
}

.tool:not(:first-child) {
    margin-left: 8px;
}

.brush {
    height: 44px;
    width: 345px;
}

.brush > * {
    margin-left: 10px;
}

.size {
    min-width: 40px;
    height: 35px;
    position: relative;
    top: 4px;
    left: -5px;
    background-color: #fff;
    border-radius: 50px;
    box-shadow: 1px 1px 3px #b8b8b8;
    padding: 2.5px 8px;
    color: blueviolet;
    font-size: 22px;
    user-select: none;
}

/* Custom Slider */
.slider {
    -webkit-appearance: none;
    position: relative;
    border-radius: 10px;
    left: -8px;
    width: 100px;
    height: 3px;
    background: aliceblue;
    box-shadow: 1px 1px 3px #b8b8b8;
    outline: none;
    cursor: pointer;
    -webkit-transition: 0.2s;
    transition: opacity 0.2s;
}

.slider:hover {
    opacity: 1;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background: blueviolet;
}

.slider::-moz-range-thumb {
    width: 10px;
    height: 10px;
    background: rgb(47, 47, 47);
}

/* JS Color */
.jscolor {
    border-style: solid;
    border-radius: 5px;
    height: 35px;
    width: 120px;
    margin-left: 3px;
    text-align: center;
    cursor: pointer;
    outline: none;
}

/* Canvas */
canvas#canvas {
    background-color: rgb(248, 120, 120);
    position: absolute;
    top: 80px;
    cursor: crosshair;
    z-index: 10;
}

/* Mobile Message */
.mobile-message {
    display: none;
}

/* Mobile Devices */
@media screen and (max-width: 998px) {
    .mobile-message {
        position: absolute;
        height: 100vh;
        width: 100%;
        background-image: linear-gradient(
            190deg,
            rgb(139, 32, 139),
            rgb(182, 58, 126)
        );
        color: white;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        z-index: 100;
    }
    .preloader {
        display: none;
    }
}

.preloader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 200;
}
